[Goodies-commits] r7813 - xfce4-mpc-plugin/trunk

Landry Breuil landry at xfce.org
Fri Jul 24 19:06:19 CEST 2009


Author: landry
Date: 2009-07-24 17:06:19 +0000 (Fri, 24 Jul 2009)
New Revision: 7813

Added:
   xfce4-mpc-plugin/trunk/configure.ac.in
Removed:
   xfce4-mpc-plugin/trunk/configure.ac
Modified:
   xfce4-mpc-plugin/trunk/autogen.sh
Log:
More autohell-fu to correctly install all languages.
Do the sed-fu for @REVISION@ and @LINGUAS@ as done in other projects.


Modified: xfce4-mpc-plugin/trunk/autogen.sh
===================================================================
--- xfce4-mpc-plugin/trunk/autogen.sh	2009-07-24 16:56:18 UTC (rev 7812)
+++ xfce4-mpc-plugin/trunk/autogen.sh	2009-07-24 17:06:19 UTC (rev 7813)
@@ -18,6 +18,26 @@
   exit 1
 }
 
+# verify that po/LINGUAS is present
+(test -f po/LINGUAS) >/dev/null 2>&1 || {
+  cat >&2 <<EOF
+autogen.sh: The file po/LINGUAS could not be found. Please check your snapshot
+            or try to checkout again.
+EOF
+  exit 1
+}
+
+# substitute revision and linguas
+linguas=`sed -e '/^#/d' po/LINGUAS`
+if test -d .git/svn; then
+ revision=`LC_ALL=C git-svn find-rev HEAD`
+else
+ revision=`LC_ALL=C svn info $0 | awk '/^Revision: / {printf "%05d\n",$2}'`
+fi
+sed -e "s/@LINGUAS@/${linguas}/g" \
+    -e "s/@REVISION@/${revision}/g" \
+    < "configure.ac.in" > "configure.ac"
+
 exec xdt-autogen $@
 
 # vi:set ts=2 sw=2 et ai:

Copied: xfce4-mpc-plugin/trunk/configure.ac.in (from rev 7812, xfce4-mpc-plugin/trunk/configure.ac)
===================================================================
--- xfce4-mpc-plugin/trunk/configure.ac.in	                        (rev 0)
+++ xfce4-mpc-plugin/trunk/configure.ac.in	2009-07-24 17:06:19 UTC (rev 7813)
@@ -0,0 +1,85 @@
+dnl configure.ac
+dnl
+dnl xfce4-mpc-plugin - mpd client plugin for the XFce4 panel
+dnl
+
+m4_define([mpc_version_major], [0])
+m4_define([mpc_version_minor], [3])
+m4_define([mpc_version_micro], [3])
+m4_define([mpc_version_tag], [svn]) # Leave empty for releases
+m4_define([mpc_version_build], [r at REVISION@])
+m4_define([mpc_version], [mpc_version_major().mpc_version_minor().mpc_version_micro()ifelse(mpc_version_tag(), [], [], [mpc_version_tag()-mpc_version_build()])])
+
+AC_INIT([xfce4-mpc-plugin], [mpc_version],
+	[landry at fr.homeunix.org])
+
+MPC_VERSION=mpc_version()
+AM_INIT_AUTOMAKE([xfce4-mpc-plugin], [$MPC_VERSION], [-Wall -Werror foreign])
+AM_CONFIG_HEADER([config.h])
+dnl AC_CONFIG_HEADERS([config.h])
+
+AM_MAINTAINER_MODE
+
+dnl Check for UNIX variants
+AC_AIX
+AC_ISC_POSIX
+AC_MINIX
+
+dnl Check for basic programs
+AC_PROG_CC
+AC_PROG_INSTALL
+AC_PROG_INTLTOOL
+
+dnl Check for standard header files
+AC_HEADER_STDC
+
+dnl configure the panel plugin
+XDT_CHECK_PACKAGE([LIBXFCE4PANEL], [libxfce4panel-1.0], [4.3.22])
+XDT_CHECK_PACKAGE([EXO], [exo-0.3], [0.3.1.1])
+
+dnl check for libmpd presence
+AC_ARG_WITH(libmpd,
+    AC_HELP_STRING([--with-libmpd=path], [path to libmpd base directory]),
+        LIBMPD_PATH="$withval", LIBMPD_PATH="")
+
+use_libmpd=false
+AM_CONDITIONAL([HAVE_LIBMPD], [test "$use_libmpd" = true])
+AC_DEFINE([HAVE_LIBMPD], [0], [no libmpd found])
+
+AC_MSG_CHECKING([whether --with-libmpd was used])
+if test x"$LIBMPD_PATH" != x"" ; then
+   if test x"$LIBMPD_PATH" = x"no" ; then
+      AC_MSG_RESULT([yes, disabled])
+      echo "* Build with libmpd: no, falling back to our implementation"
+   else
+      AC_MSG_RESULT([yes, using $LIBMPD_PATH])
+      LIBMPD_CFLAGS="-I${LIBMPD_PATH}/include/"
+      LIBMPD_LIBS="-L${LIBMPD_PATH}/lib/ -lmpd"
+      AC_DEFINE([HAVE_LIBMPD], [1], [libmpd found])
+      use_libmpd=true
+      AC_SUBST([LIBMPD_CFLAGS])
+      AC_SUBST([LIBMPD_LIBS])
+   fi
+else
+   AC_MSG_RESULT([no, falling back to pkg-config])
+   XDT_CHECK_OPTIONAL_PACKAGE([LIBMPD], [libmpd], [0.12], [libmpd], [libmpd])
+   if test x"$LIBMPD_FOUND" = x"yes"; then
+      AC_DEFINE([HAVE_LIBMPD], [1], [libmpd found])
+      use_libmpd=true
+      echo "* Build with libmpd: yes"
+   else
+      echo "* Build with libmpd: no, falling back to our implementation"
+   fi
+fi
+AM_CONDITIONAL(USE_LIBMPD, [test "$use_libmpd" = true])
+dnl Translations
+XDT_I18N([@LINGUAS@])
+
+dnl Check for debugging support
+XDT_FEATURE_DEBUG()
+AC_OUTPUT([
+Makefile
+panel-plugin/Makefile
+po/Makefile.in
+])
+




More information about the Goodies-commits mailing list